USB_ENABLE_AUTOSUSPE(9)

NAME
usb_enable_autosuspend - allow a USB device to be autosuspended

SYNOPSIS

void usb_enable_autosuspend(struct usb_device * udev);

ARGUMENTS

udev
    the USB device which may be autosuspended

DESCRIPTION

This routine allows udev to be autosuspended. An autosuspend won't take place until the autosuspend_delay has elapsed and all the other necessary conditions are satisfied.

The caller must hold udev's device lock.

COPYRIGHT